Create elastic template
Creates an elastic template for an account and returns the response with created agreement.
The resulting elastic template has its status property set to draft,
and the versionNumber is 1.0.
Use ClickWraps: updateClickwrap with a request body like this to make the elastic template active:
Required authentication scopes: click.manage.
Related topics
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
The external account number (int) or account ID GUID.
Request
This endpoint expects an object: clickwrapRequest
The name of the elastic template.
Required in ClickWraps: createClickwrap.
Specifies whether scheduledReacceptance and scheduledDate should be cleared. May be one of:
"scheduledReacceptance""scheduledDate""scheduledReacceptance,scheduledDate"
When true, requires signers who have previously agreed to this
elastic signing agreement to sign again.
The major version number is incremented, and the minor version number is set to zero.
For example: 2.1 to 3.0
When false, signers who have previously agreed do not need to sign again.
Only the minor version number is incremented. For example: 2.1 to 2.2
Status of an elastic template. This property is read-only. Possible values:
activeinactivedeleted
Not used. To update the user ID of an elastic template, use the updateClickwrap endpoint.
Not used. To update the user ID of an elastic template, use the updateClickwrap endpoint.
Response
The external account number (int) or account ID GUID.
An array of dataField objects.
When true, requires signers who have previously agreed to this
elastic signing agreement to sign again.
The major version number is incremented, and the minor version number is set to zero.
For example: 2.1 to 3.0
When false, signers who have previously agreed do not need to sign again.
Only the minor version number is incremented. For example: 2.1 to 2.2
Clickwrap status. Possible values:
draftactiveinactivedeleted
Human-readable version number. For example 1.2.